Note de ce sujet :
  • Moyenne : 0 (0 vote(s))
  • 1
  • 2
  • 3
  • 4
  • 5
Thread Contributor: Ultrajej[Résolu] Problème avec darktable-gen-noiseprofile
#1
Bug 
Utilisez-vous l’outil darktable-gen-noiseprofile pour effectuer les profils de bruit? Il y a-t-il un autre outil?

Mon problème:
En effet, mes raw ne semblent pas passer avec le script officiel. Ce script ne retourne pas assez d’info.


Code :
===> Check for required tools
--> Check for images handling tools availability
--> Check for images export tools availability
--> Check for profiling tools availability
--> Check for tethering tools availability
--> Check for pdf tools availability

===> Check profiling directory

===> List profiling input RAW images

et puis rien…



J’avais déjà ce résultat ce week-end, et, ce soir je viens de recompiler avec succès Darktable 2.7 puis le script darktable-gen-noiseprofile avec toujours les même résultats.
Je ne sais pas ou cela bloque. Est-ce mes fichiers ; ma compilation ; un problème de permission?

Mon système:
Kubuntu 19.04, à jour
Compilation de Darktable avec le dernier clone de la branche master au 7 octobre selon les instructions de la page officielle: https://github.com/darktable-org/darktable
L’application se lance sans problème mais je ne veux pas l’utiliser plus car je ne veux pas corrompre ma version stable.
Compilation du script solon cette page: https://pixls.us/articles/how-to-create-...darktable/

Mes fichiers:
J’utilise les fichiers produits par mon Panasonic Lumix FZ-330 (FZ-300)
https://cloud.owncube.com/s/8jX3eY2MGfSQAWw
Logiquement mon dossier avec les raw a toutes les permissions requises. Il n’y a aucun espace ni de caractères spéciaux dans le chemin.
Je lance dans ce dossier la commande suivante:
Code :
/opt/darktable/libexec/darktable/tools/darktable-gen-noiseprofile -d $(pwd)


Comment savoir ce qui ne fonctionne pas? Un petit message d’erreur me ferais plus plaisir que ce rien.
D’autres utilisateurs ont-ils eu ce genre de mésaventures?
Répondre
#2
J'ai eu ce genre de soucis.
Je pense que lorsque le script invoque darktabke par ligne de commande celui ci ne se lance pas parce que le repertoire de configuration doit être mis à jour pour utiliser la dernière version, et que sans l'interface graphique il ne propose pas à l'utilisateur de faire cette mise à jour, et donc s'arrête.
Tu peux essayer de sauvegarder ton répertoire de configuration de darktable, puis de le supprimer, lancer l'outil (qui trouvera alors un repertoire de config vide et donc ne bloquera pas pour des raisons de versions), et un fois que celui ci a terminé, restaurer le répertoire à partir de ta sauvegarde.
Répondre
#3
Merci beaucoup pour cette solution à mon problème. Cela fonctionne parfaitement maintenant.
J’avais jonglé, sans succès, avec les 2 dossiers de configuration pour la 2.6.2 et la 2.7… J’ai donc renommé mes deux dossiers de configuration pour éviter tout conflit.
Cela a fonctionné sans problème. Il ne reste plus qu’a tester dans Darktable.

Après tests, mon profile de bruit est mauvais. J’imagine que mes photos ne sont pas bonnes.

Je ferais un autre essai quand je trouverais le temps… peut être pour la version Darktable de Noël 2020.
Répondre


Atteindre :


Utilisateur(s) parcourant ce sujet : 1 visiteur(s)